module.exports = {
  rules: {
    'import/default': 'off',
    'import/no-absolute-path': 'error',
    'import/no-dynamic-require': 'error',
    'import/no-useless-path-segments': [
      'error',
      {
        noUselessIndex: true,
      },
    ],
    'import/export': 'error',
    'import/no-named-as-default': 'error',
    'import/no-named-as-default-member': 'warn',
    'import/no-deprecated': 'warn',
    'import/no-extraneous-dependencies': [
      'error',
      {
        devDependencies: [
          '**/__mocks__/**',
          '**/__tests__/**',
          '**/{.,}storybook/**',
          '**/*.test.*',
          '**/config/**',
          '**/prettier.config.*',
          '**/scripts/**',
          '**/stories/**',
          '**/tests/**',
          '**/testing/**',
        ],
      },
    ],
    'import/no-mutable-exports': 'warn',
    'no-restricted-imports': [
      'error',
      {
        patterns: ['@dollarshaveclub/*/src/*'],
      },
    ],
    'import/first': 'error',
    'import/newline-after-import': 'warn',
    'import/prefer-default-export': 'off',
    'import/order': 'off',
  },
}
